# Copyright (C) 2023 ASTRON (Netherlands Institute for Radio Astronomy)
# SPDX-License-Identifier: Apache-2.0

from enum import Enum


class DeviceTypes(str, Enum):
    """Types for devices to prevent magic numbers when looking for parents / children

    This could be auto generated by iterating over the files in the devices and
    finding each class that inherits LOFARDevice. Todo?
    """

    AFH = "AFH"
    AFL = "AFL"
    APS = "APS"
    APSCT = "APSCT"
    APSPU = "APSPU"
    Beamlet = "Beamlet"
    Boot = "Boot"
    BST = "BST"
    Calibration = "Calibration"
    CCD = "CCD"
    Configuration = "Configuration"
    DigitalBeam = "DigitalBeam"
    Observation = "Observation"
    ObservationControl = "ObservationControl"
    Metadata = "Metadata"
    PCON = "PCON"
    RECV = "RECV"
    RECVH = "RECVH"
    RECVL = "RECVL"
    SDP = "SDP"
    SDPFirmware = "SDPFirmware"
    SST = "SST"
    StationManager = "StationManager"
    ProtectionControl = "ProtectionControl"
    TileBeam = "TileBeam"
    UNB2 = "UNB2"
    XST = "XST"
